Content analytics

The daily series split into the top groups (creator, post, platform or campaign) and everyone else

GET/api/public/v1/content/series_by
LiveAnswers from your brand's records now.

Operation id getContentSeriesBy

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/series_by" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter
groupquerystringOne of creatorpostplatformcampaign
metricquerystringOne of viewslikescommentssharessaves
limitqueryinteger

Responses

200Success

FieldTypeNotes
dataobject
data.daysarray of string (date)
data.groupstring
data.groupsarray of object
data.groups[].[].keystring
data.groups[].[].labelstring
data.groups[].[].totalinteger
data.groups[].[].valuesarray of integer
data.metricstring
data.othersarray of integer
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": {
    "days": [
      "2026-11-01"
    ],
    "group": "string",
    "groups": [
      {
        "key": "string",
        "label": "string",
        "total": 3,
        "values": [
          3
        ]
      }
    ],
    "metric": "string",
    "others": [
      3
    ]
  },
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.